Ubuntu ajoute des commands au bash

J'utilise Zend Framework. Dernièrement, j'ai installé la dernière version de ZF. J'essaie d'utiliser l'outil zend à partir d'un terminal dans ubuntu. Lorsque je diffuse la version ZF, je vois encore la version 1.9.6. Comment puis-je m'assurer que la command ZF utilisera la dernière version?

Je pense que j'ai ajouté le ZF à mon profil de terminal mais je ne sais pas comment le changer.

Quelqu'un peut-il m'aider?

Ce n'est pas un problème de bash. Cela me semble un problème de path. Vous n'avez pas mentionné comment vous avez installé la version 1.9.6 ou la façon dont vous avez installé la version la plus récente. Je ne peux donc m'empêcher de comprendre ce qui se passe. Mais je suppose que les deux versions sont encore installées sur différents paths et que 1.9.6 se trouve d'abord en raison de la façon dont votre path est configuré.

Vous pouvez voir votre path actuel en exécutant echo $PATH . Et vous pouvez indiquer quelle command ZF est exécutée en exécutant which ZF . Donc, à partir de là, si vous connaissez le path vers la binary que vous souhaitez exécuter, il suffit de réparer votre PATH. Je suggère également de désinstaller l'ancienne version si elle n'est pas nécessaire afin qu'elle ne vous cause plus de problèmes.